package org.example.missocios;


import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

public class AdaptadorCursorSocios extends CursorAdapter {
    private LayoutInflater inflador;
    TextView nombre, direccion, Primerapellido,Segundoapellido,telefono,numerosocio;
    ImageView foto;

    public AdaptadorCursorSocios(Context contexto, Cursor c) {
        super(contexto, c, false);
    }
    @Override
    public View newView(Context contexto, Cursor c, ViewGroup padre) {
        inflador = (LayoutInflater) contexto
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        View vista = inflador.inflate(R.layout.elemento_lista, padre,false);
        return vista;
    }
    @Override
    public void bindView(View vista, Context contexto, Cursor c) {
        nombre = (TextView) vista.findViewById(R.id.nombre);
        Primerapellido = (TextView) vista.findViewById(R.id.PrimerApellido);
        Segundoapellido = (TextView) vista.findViewById(R.id.SegundoApellido);
        direccion = (TextView) vista.findViewById(R.id.direccion);
        foto = (ImageView) vista.findViewById(R.id.foto);
        telefono = (TextView) vista.findViewById(R.id.telefono);
        numerosocio = (TextView) vista.findViewById(R.id.NumeroSocio);

        nombre.setText(c.getString(c.getColumnIndex("nombre")));
        Primerapellido.setText(c.getString(c.getColumnIndex("Primer_Apellido")));
        Segundoapellido.setText(c.getString(c.getColumnIndex("Segundo_Apellido")));
        direccion.setText(c.getString(c.getColumnIndex("direccion")));
        int tipo = c.getInt(c.getColumnIndex("tipoSocio"));
        foto.setImageResource(TipoSocio.values()[tipo].getRecurso());
        foto.setScaleType(ImageView.ScaleType.FIT_END);
        telefono.setText(c.getString(c.getColumnIndex("telefono")));
        numerosocio.setText(c.getString(c.getColumnIndex("numero_socio")));


    }
}