package org.example.missocios;


public enum ServicioUso {
    FISIOTERAPIA ("Fisioterapia", R.drawable.fisioterapia),
    LOGOPEDIA ("Logopedia", R.drawable.logopedia),
    APOYO_ESCOLAR ("Apoyo escolar", R.drawable.apoyo_escolar),
    BEBETECA ("Bebeteca", R.drawable.bebeteca),
    OTROS("Otros", R.drawable.otrosservicios);
    private final String texto;
    private final int recurso;
    ServicioUso(String texto, int recurso) {
        this.texto = texto;
        this.recurso = recurso;
    }

    public String getTexto() { return texto; }
    public int getRecurso() { return recurso; }

    public static String[] getServicos() {
        String[] resultado = new String[ServicioUso.values().length];
        for (ServicioUso tipo : ServicioUso.values()) {
            resultado[tipo.ordinal()] = tipo.texto;
        }
        return resultado;
    }
}


