package org.example.missocios;


import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTabHost;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;


public class Servicios extends FragmentActivity{
    private FragmentTabHost tabHost;
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.servicios);

        tabHost = (FragmentTabHost) findViewById(android.R.id.tabhost);
        tabHost.setup(this,
                getSupportFragmentManager(), android.R.id.tabcontent);
        tabHost.addTab(tabHost.newTabSpec("tabfisioterapia").setIndicator("", getResources().getDrawable(R.drawable.fisioterapia)),
                TabFisioterapia.class, null);
        tabHost.addTab(tabHost.newTabSpec("tablogopedia").setIndicator("",getResources().getDrawable(R.drawable.logopedia)),
                TabLogopedia.class, null);
        tabHost.addTab(tabHost.newTabSpec("tabapoyo").setIndicator("",getResources().getDrawable(R.drawable.apoyo_escolar)),
                TabApoyo.class, null);
        tabHost.addTab(tabHost.newTabSpec("tabbebeteca").setIndicator("",getResources().getDrawable(R.drawable.bebeteca)),
                TabBebeteca.class, null);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }


        return super.onOptionsItemSelected(item);
    }
    public void lanzarListaFisioterapia(View view){
        Intent i = new Intent(this, ListaFisioterapia.class);
        startActivity(i);
    }
    public void lanzarListaLogopedia(View view){
        Intent i = new Intent(this, ListaLogopedia.class);
        startActivity(i);
    }
    public void lanzarListaApoyo(View view){
        Intent i = new Intent(this, ListaApoyo.class);
        startActivity(i);
    }
    public void lanzarListaBebeteca(View view){
        Intent i = new Intent(this, ListaBebeteca.class);
        startActivity(i);
    }
}
