package org.example.missocios;

public class Socio {
    private String nombre;
    private String Primer_Apellido;
    private String Segundo_Apellido;
    private int DNI;
    private int numero_socio;
    private TipoSocio tipoSocio;
    private String direccion;
    private int telefono;
    private String Email;
    private ServicioUso Servicios;
    private String foto;
    private String Historial;
    private long fecha;
    private int Cuota;

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getDireccion() {
        return direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    public String getFoto() {
        return foto;
    }

    public void setFoto(String foto) {
        this.foto = foto;
    }

    public int getTelefono() {
        return telefono;
    }

    public void setTelefono(int telefono) {
        this.telefono = telefono;
    }

    public int getDNI() {
        return DNI;
    }

    public void setDNI(int DNI) {
        this.DNI = DNI;
    }

    public String getHistorial() {
        return Historial;
    }

    public void setHistorial(String historial) {
        Historial = historial;
    }

    public long getFecha() {
        return fecha;
    }

    public void setFecha(long fecha) {
        this.fecha = fecha;
    }


    public int getCuota() {
        return Cuota;
    }

    public void setCuota(int cuota) {
        Cuota = cuota;
    }

    public String getEmail() {
        return Email;
    }

    public void setEmail(String email) {
        Email = email;
    }

    public TipoSocio getTipoSocio() {
        return tipoSocio;
    }

    public void setTipoSocio(TipoSocio tipoSocio) {
        this.tipoSocio = tipoSocio;
    }

    public ServicioUso getServicios() {
        return Servicios;
    }

    public void setServicios(ServicioUso servicios) {
        Servicios = servicios;
    }

    public String getSegundo_Apellido() {
        return Segundo_Apellido;
    }

    public void setSegundo_Apellido(String segundo_Apellido) {
        Segundo_Apellido = segundo_Apellido;
    }

    public String getPrimer_Apellido() {
        return Primer_Apellido;
    }

    public void setPrimer_Apellido(String primer_Apellido) {
        Primer_Apellido = primer_Apellido;
    }

    public int getNumero_socio() {
        return numero_socio;
    }

    public void setNumero_socio(int numero_socio) {
        this.numero_socio = numero_socio;
    }

    @Override
    public String toString() {
        return "Socio{" +
                "nombre='" + nombre + '\'' +
                ", Primer_Apellido='" + Primer_Apellido + '\'' +
                ", Segundo_Apellido='" + Segundo_Apellido + '\'' +
                ", DNI=" + DNI +
                ", numero_socio=" + numero_socio +
                ", tipoSocio=" + tipoSocio +
                ", direccion='" + direccion + '\'' +
                ", telefono=" + telefono +
                ", Email='" + Email + '\'' +
                ", Servicios=" + Servicios +
                ", foto='" + foto + '\'' +
                ", Historial='" + Historial + '\'' +
                ", fecha=" + fecha +
                ", Cuota=" + Cuota +
                '}';
    }

    public Socio(String nombre,String Primer_Apellido, String Segundo_Apellido,int DNI,int numero_socio,TipoSocio tipoSocio,
                 String direccion, int telefono, String Email,ServicioUso Servicios, int Cuota, String Historial) {
        fecha = System.currentTimeMillis();
        this.nombre = nombre;
        this.Primer_Apellido=Primer_Apellido;
        this.Segundo_Apellido=Segundo_Apellido;
        this.DNI = DNI;
        this.numero_socio = numero_socio;
        this.tipoSocio=tipoSocio;
        this.direccion = direccion;
        this.telefono = telefono;
        this.Email = Email;
        this.Servicios =Servicios;
        this.Historial =Historial ;
        this.Cuota = Cuota;
    }
    public Socio() {
        fecha = System.currentTimeMillis();
        tipoSocio=TipoSocio.OTROS;
        Servicios=ServicioUso.OTROS;
    }
}
