package org.example.missocios;

public enum TipoSocio {
    COLABORADOR ("Colaborador",R.drawable.socio),
    DISCAPACITADO ("Discapacitado",R.drawable.discapacidad),
    DIRECTIVA ("Directiva",R.drawable.directiva),
    PERSONAL ("Personal",R.drawable.trabajador),
    OTROS ("Otros",R.drawable.socio);
    private final String texto;
    private final int recurso;
    TipoSocio(String texto,int recurso) {
        this.texto = texto;
        this.recurso = recurso;
    }


    public String getTexto() { return texto; }
    public int getRecurso() { return recurso; }

    public static String[] getNombres() {
        String[] resultado = new String[TipoSocio.values().length];
        for (TipoSocio tipo : TipoSocio.values()) {
            resultado[tipo.ordinal()] = tipo.texto;
        }
        return resultado;
    }
}


