package org.example.missocios;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;

public class ListaBebeteca extends ActionBarActivity implements AdapterView.OnItemClickListener {

    public AdaptadorCursorSocios adaptador;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.lista_socios);
        Socios.indicializaBD(this);
        adaptador = new AdaptadorCursorSocios(this, Socios.listadobebeteca());
        ListView listView = (ListView) findViewById(R.id.listView);
        listView.setAdapter(adaptador);
        listView.setOnItemClickListener(this);
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View vista, int posicion, long id) {
        Intent i = new Intent(this, VistaFichaSocio.class);
        i.putExtra("id", id);
        startActivity(i);
    }


}