package org.example.missocios;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.support.v4.widget.SimpleCursorAdapter;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;


public class ListaSocios extends ActionBarActivity implements AdapterView.OnItemClickListener {
    //public AdaptadorSocios adaptador;
    //public SimpleCursorAdapter adaptador;
    public AdaptadorCursorSocios adaptador;
    SharedPreferences prefeV ;
    String configuracion;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.lista_socios);
       // adaptador = new AdaptadorSocios(this);
        Socios.indicializaBD(this);
        /*adaptador = new SimpleCursorAdapter(this,
                R.layout.elemento_lista,
                Socios.listado(),
                new String[] { "nombre", "direccion" },
                new int[] { R.id.nombre, R.id.direccion }, 0);*/
        prefeV = PreferenceManager.getDefaultSharedPreferences(this);
        configuracion =prefeV.getString("Listasocios", "0");
        switch (configuracion){
            case "0":
                adaptador = new AdaptadorCursorSocios(this, Socios.listado());
                break;
            case "1":
                adaptador = new AdaptadorCursorSocios(this, Socios.listadomorosos());
                break;
            case "2":
                adaptador = new AdaptadorCursorSocios(this, Socios.listadopagdos());
                break;}

        ListView listView = (ListView) findViewById(R.id.listView);
        listView.setAdapter(adaptador);
        listView.setOnItemClickListener(this);
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View vista, int posicion, long id){
        Intent i = new Intent(this, VistaFichaSocio.class);
        i.putExtra("id", id);
        startActivity(i);
        //startActivityForResult(i,0);
    }
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {

        getMenuInflater().inflate(R.menu.menu_lista, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {

        int id = item.getItemId();


        if (id == R.id.accion_nuevo) {
            long id2 = Socios.nuevo();
            Intent i = new Intent(this, EdicionFichaSocio.class);
            i.putExtra("nuevo", true);
            i.putExtra("id", id2);
            startActivity(i);
            //startActivityForResult(i,0);
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
   /* @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        actualizaLista();
    }
    public void actualizaLista() {
        ListView listView = (ListView) findViewById(android.R.id.list);
        AdaptadorCursorSocios adaptador = (AdaptadorCursorSocios) listView.getAdapter();
        adaptador.changeCursor(Socios.listado());
    }*/
}
